try {
	// Create a new image object
	var pImage = WScript.CreateObject("Marblecore.Imaging");
	var nImages = 0;

	
	// Have a license? Uncomment the following line and supply your product key and license code...
	//pImage.LicenseVerify("<Product key>", "<License code>");

	// Create a new file system object
	var pFS = WScript.CreateObject("Scripting.FileSystemObject");
	

	// Get the path of the current folder
	var sPath = WScript.ScriptFullName;
	
	sPath = sPath.substr(0, sPath.lastIndexOf("\\"));
		
	if (sPath != "") {
		// Get the folder contents

		var pFolder = pFS.GetFolder(sPath);

		WScript.Echo("Processing all images in '"+sPath+"'");

		// List all files in the folder
		if (pFolder) {
			var pFiles = new Enumerator(pFolder.Files);

			while(!pFiles.atEnd()) {
				// Try to load each file (only valid images will be loaded by LoadFromFile)
				if (pImage.LoadFromFile(pFiles.item().Path, 0, true)) {
					WScript.Echo("Processing: "+pFiles.item().Name);
					nImages ++;

					// Create a thumbnail
					pImage.Thumbnail(200, 200, "Mirror3D");

					// Save the image
					pImage.SaveToFile(pImage.FileFolder+"\\"+pImage.FileName+" - Thumbnail"+pImage.FileExtension);
				}

				pFiles.moveNext();
			}
		}
		
		WScript.Echo(nImages+" image(s) processed");
	}

} catch(e) {
	WScript.Echo("Marblecore Imaging ATL component not installed or other error occured!");
}